const require_index = require("./date/index.js");
const require_index$1 = require("./link/index.js");
const require_index$2 = require("./number/index.js");
const require_index$3 = require("./numberRange/index.js");
const require_index$4 = require("./select/index.js");
const require_index$5 = require("./text/index.js");
const require_index$6 = require("./image/index.js");
const require_index$7 = require("./rangePicker/index.js");
const require_index$8 = require("./search/index.js");
const require_index$9 = require("./pSwitch/index.js");
const require_index$10 = require("./treeSelect/index.js");
const require_index$11 = require("./oldRangePicker/index.js");
//#region src/components/table/Table/fields/index.tsx
const fieldMaps = {
	text: require_index$5.default,
	link: require_index$1.default,
	number: require_index$2.default,
	date: require_index.default,
	select: require_index$4.default,
	image: require_index$6.default,
	rangePicker: require_index$7.default,
	search: require_index$8.default,
	pSwitch: require_index$9.default,
	numberRange: require_index$3.default,
	treeSelect: require_index$10.default,
	oldRangePicker: require_index$11.default
};
Object.values(fieldMaps).map((d) => {
	return d.field;
});
const getFieldByType = (type) => {
	return fieldMaps[type];
};
//#endregion
exports.fieldMaps = fieldMaps;
exports.getFieldByType = getFieldByType;
